/***********************************
* Copyright 1998 by Kevin MacDonald
* kmacdo01@student.vill.edu
***********************************/

/***********************************
* This is the header file for the
* table data structure
***********************************/

#ifndef TABUH
#define TABUH

#include <qdbt/qdbttabular.h>
#include <qdbt/qdbttabcell.h>
#include <qdbt/qdbtsection.h>
#include <qpopmenu.h>
#include <iostream.h>
#include <qwidget.h>
#include <qevent.h>
#include <qapp.h>
#include <qlayout.h>
#include "info.h"
#include <unistd.h>
#include <qpixmap.h>
#include <qfont.h>
#include "addrem.h"
#include <qtimer.h>
#include <qframe.h>

class tabu : public QdbtTabular{

  Q_OBJECT


  public:
    tabu(QWidget *parent, const char *name);
    addRow(char *city, char *temp, char *hum, char *press, char *wind, char *weath);

  protected:
    void mouseReleaseEvent(QMouseEvent *);
    void mousePressEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    int getweath(char *);
    QPopupMenu *pop;
    info *arr[30];
    setCell(int, int, char *, int = 120);
    int row, current;
    addrem *citychange;
    QTimer *tim, *citytimer;
    resizeTable();
    QFrame *uptime, *infowin;

  signals:
    void tableResized();
    void captionChanged(char *, char *);

  protected slots:
    removeThis();
    addremCity();
    chuptime();
    changeCapt();
    getinfo();

  public slots:
    update();

};

#endif
